<div *ngIf="(weather$|async) as weathers" class="card weather" style="background: white">
  <div class="card-content">
    <div class="media">
      <div class="media-content">
        <p class="title is-3">
          <span title="Maximum temperature">
            <span>{{weathers.weather[current.getHours()].temperature}}</span>
            °C
          </span>
        </p>
        <p class="subtitle is-5" title="Weather station name">
          <span>{{weathers.sources[0]?.station_name}}</span>
        </p>
        <div class="weather-details has-text-grey">
          <span title="Maximum hourly precipitation">
            <i class="wi wi-umbrella"></i>
            <span>{{weathers.weather[current.getHours()]?.precipitation}}</span>
            mm/h
          </span>
          <br>
          <span title="Average wind speed">
            <i class="wi wi-strong-wind"></i>
            <span>{{weathers.weather[current.getHours()]?.wind_gust_speed}}</span>
            km/h
          </span>
          <br>
          <span title="Total sunshine duration">
            <i class="wi wi-day-sunny"></i>
            <span>{{weathers.weather[current.getHours()]?.sunshine|sunshine}}</span>
            h
          </span>
          <br>
          <span title="Average cloud cover">
            <i class="wi wi-cloudy"></i>
            <span>{{weathers.weather[current.getHours()]?.cloud_cover}}</span>
            %
          </span>
          <br>
          <span title="Average atmospheric pressure, reduced to mean sea level">
            <i class="wi wi-barometer"></i>
            <span>{{weathers.weather[current.getHours()]?.pressure_msl}}</span>
            hPa
          </span>
          <br>
        </div>
      </div>
      <div class="media-right" style="margin: auto 0">
        <figure [ngSwitch]="weathers.weather[current.getHours()].icon">
          <i *ngSwitchCase="ICONS.CLEAR_DAY" class="wi wi-day-sunny"></i>
          <i *ngSwitchCase="ICONS.CLOUDY" class="wi wi-cloud"></i>
          <i *ngSwitchCase="ICONS.CLEAR_NIGHT" class="wi wi-night-clear"></i>
          <i *ngSwitchCase="ICONS.FOG" class="wi wi-fog"></i>
          <i *ngSwitchCase="ICONS.HAIL" class="wi wi-hail"></i>
          <i *ngSwitchCase="ICONS.PARTLY_CLOUDY_DAY" class="wi wi-day-sunny-overcast"></i>
          <i *ngSwitchCase="ICONS.PARTLY_CLOUDY_NIGHT" class="wi wi-night-partly-cloudy"></i>
          <i *ngSwitchCase="ICONS.RAIN" class="wi wi-rain"></i>
          <i *ngSwitchCase="ICONS.SLEET" class="wi wi-sleet"></i>
          <i *ngSwitchCase="ICONS.SNOW" class="wi wi-snow"></i>
          <i *ngSwitchCase="ICONS.THUNDERSTORM" class="wi wi-thunderstorm"></i>
          <i *ngSwitchCase="ICONS.WIND" class="wi wi-day-cloudy-windy"></i>
        </figure>
      </div>
    </div>
    <div class="level">
      <div *ngFor="let stamp of timeStamps" class="level-item has-text-centered">
        <div>
          <p class="heading">{{stamp}}:00</p>
          <p>
            <ng-container [ngSwitch]="weathers.weather[stamp].icon">
              <i *ngSwitchCase="ICONS.CLEAR_DAY" class="wi wi-day-sunny"></i>
              <i *ngSwitchCase="ICONS.CLOUDY" class="wi wi-cloud"></i>
              <i *ngSwitchCase="ICONS.CLEAR_NIGHT" class="wi wi-night-clear"></i>
              <i *ngSwitchCase="ICONS.FOG" class="wi wi-fog"></i>
              <i *ngSwitchCase="ICONS.HAIL" class="wi wi-hail"></i>
              <i *ngSwitchCase="ICONS.PARTLY_CLOUDY_DAY" class="wi wi-day-sunny-overcast"></i>
              <i *ngSwitchCase="ICONS.PARTLY_CLOUDY_NIGHT" class="wi wi-night-partly-cloudy"></i>
              <i *ngSwitchCase="ICONS.RAIN" class="wi wi-rain"></i>
              <i *ngSwitchCase="ICONS.SLEET" class="wi wi-sleet"></i>
              <i *ngSwitchCase="ICONS.SNOW" class="wi wi-snow"></i>
              <i *ngSwitchCase="ICONS.THUNDERSTORM" class="wi wi-thunderstorm"></i>
              <i *ngSwitchCase="ICONS.WIND" class="wi wi-day-cloudy-windy"></i>
            </ng-container>
            <br>
            {{weathers.weather[stamp].temperature}} °C
          </p>
        </div>
      </div>
    </div>
  </div>
</div>
